\newpage

# Introduction {#introduction}

La méthodologie Agile étant de plus en plus adoptée, les équipes de 
développement publient de nouvelles versions de leur application avec une 
fréquence bien plus élevée. Les équipes d'opération ont désormais besoin d'un
outillage plus conséquent pour déployer ces versions. C'est pour cette raison 
que l'automatisation, entre autre, est nécessaire pour soulager les équipes
d'opération. Ainsi le DevOps entre en jeu&nbsp;: une culture et un 
ensemble de bonnes pratiques pour faciliter l'échange entre les équipes 
de développement et celles d'opérations. Mais également de favoriser un flux
continu entre ces équipes.

Au long de mon parcours, que ce soit en tant qu'Ingénieur en Conception et 
Développement d’Environnements Distribués ou Responsable d'Applications, j'ai 
été sensibilisé aux besoin incessants de l'automatisation et de l'amélioration
 des processus de création logiciel. J'ai participé à la mise en place 
progressive d'une chaîne de publication logicielle, que ce soit dans le monde 
professionnel ou dans la sphère privée pour publier mon blog. C'est donc tout
 naturellement que je me suis tourné vers ce domaine passionnant qu'est le 
DevOps. Et ce à travers la formation DevOps en BootCamp au sein de l'organisme
 de formation DataScientest.

Le présent document présentera principalement le projet étudié lors de cette 
formation. Nous commencerons par faire la corrélation entre les compétences 
attendues pour le Titre Professionnel Administrateur Système DevOps et le(s) 
projet(s) présenté(s) dans ce dossier. Après quoi nous continuerons avec le 
cahier des charges et les spécifications techniques de ce(s) dernier(s). \
Nous continuerons par expliquer la démarche suivi pour accomplir le projet, 
quelques réalisations effectuées et des situations de travail qui mérite 
d'être relevées.

Mais avant tout, nous tenons à présenter nos remerciements à quelques personnes.
